%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-fpconst
Version:        0.7.2
Release:        1%{?dist}
Summary:        A Python module for handling IEEE 754 floating point special values
Group:          Development/Languages
License:        Apache Software License
URL:            http://research.warnes.net/projects/RStatServer/fpconst/
Source0:        http://research.warnes.net/~warnes/fpconst/fpconst-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:   	python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

%description
This python module implements constants and functions for working with
IEEE754 double-precision special values.  It provides constants for
Not-a-Number (NaN), Positive Infinity (PosInf), and Negative Infinity
(NegInf), as well as functions to test for these values.

%prep
%setup -q -n fpconst-%{version}
chmod -x README pep-0754.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
rm -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG COPYING README pep-0754.txt
%{python_sitelib}/*.py
%{python_sitelib}/*.pyc
%ghost %{python_sitelib}/*.pyo

%changelog
* Sat Mar 18 2006 Christopher Stone <chris.stone@gmail.com> 0.7.2-1
- Initial Release of python-fpconst, changes from fpconst include:
- Renamed package from fpconst to python-fpconst
- Removed macros in URL
- Removed python-devel from BR
- Droped the second paragraph in %description
- Droped PKG-INFO from %doc
- Added pep-0754.txt to %doc
